<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Immortal Sergeant</Series>
  <Number>5</Number>
  <Web>https://www.amazon.com/dp/B0C3NCLG5V</Web>
  <Summary>Sarge reveals the true intention behind his “investigation” as he and Michael cross literal and emotional borders. Val learns some hard truths about herself and her mother-in-law as Rhoda drops bombs in the backyard. Michael sort of, kind of grows a pair…sort of.</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0C3NCLG5V]</Notes>
  <Publisher>Image</Publisher>
  <Genre>Crime, Mystery</Genre>
  <PageCount>39</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
